Subject: Re: [MOBILE-IP] RFC2002bis

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Wed, 12 Jan 2000 11:27:04 +0100

Hi Charlie and Alper

Thanks for the explanation.
So the main problem is the arp cache of other hosts on the same FA,
in the case when the MN moves. Cutting the HA out of the loop brings
advantage and disadvantage (as Alper pointed out), so I would imagine
this depends on whether you are collecting statistics on the HA.
However it is surely good to optimise forwarding in cases where
there are few FAs (maybe even one) and you need to limit latency.

When the MN moves, say it does a smooth handoff such that the "old" FA
is notified. Could that trigger the "old" FA to clean up the arp problem
with a gratuitous arp? A similar cleanup is for HFAs using Fast Handoffs.

Also, applied to 3G networks you don't have the same restraints,
so it would be good to leave this possibility open unless you see
other major difficulties.

Rgds
/Karim